// vec2.h

#ifndef VEC2_H
#define VEC2_H

struct vec2
{
  float x, y;
  vec2(float x = 0.0f, float y = 0.0f) : x(x), y(y) {}
  vec2 operator+(const vec2 &v)const{return vec2(x+v.x,y+v.y);}
  vec2 operator-(const vec2 &v)const{return vec2(x-v.x,y-v.y);}
  vec2 operator*(const vec2 &v)const{return vec2(x*v.x,y*v.y);}
  vec2 operator/(const vec2 &v)const{return vec2(x/v.x,y/v.y);}
  vec2 operator/(float f)const{return vec2(x/f,y/f);}
};

#endif
